Bug 1750541 - Review Request: python-json5 - A Python implementation of the JSON5 data format
Summary: Review Request: python-json5 - A Python implementation of the JSON5 data format
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1333989 1333990 1721645
TreeView+ depends on / blocked
 
Reported: 2019-09-09 20:34 UTC by Fabian Affolter
Modified: 2020-01-24 17:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-15 00:26:47 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2019-09-09 20:34:22 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-json5.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-json5-0.8.5-1.fc30.src.rpm

Project URL: https://github.com/dpranke/pyjson5

Description:
JSON5 extends the JSON data interchange format to make it slightly more usable
as a configuration language:

- JavaScript-style comments (both single and multi-line) are legal.
- Object keys may be unquoted if they are legal ECMAScript identifiers
- Objects and arrays may end with trailing commas.
- Strings can be single-quoted, and multi-line string literals are allowed.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=37563867

rpmlint output:
$ rpmlint python-json5-0.8.5-1.fc30.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint python3-json5-0.8.5-1.fc30.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab

Comment 1 Elliott Sales de Andrade 2019-09-09 23:45:56 UTC
Remove 'A' from Summary.
The pyjson5 subpackage should use a fully versioned Requires.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* Apache License (v2.0)", "Unknown or generated",
     "Apache License (v2.0)". 11 files have unknown license. Detailed
     output of licensecheck in 1750541-python-json5/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[!]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-json5 , pyjson5
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-json5-0.8.5-1.fc32.noarch.rpm
          pyjson5-0.8.5-1.fc32.noarch.rpm
          python-json5-0.8.5-1.fc32.src.rpm
pyjson5.noarch: W: no-manual-page-for-binary pyjson5
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
pyjson5.noarch: W: no-manual-page-for-binary pyjson5
2 packages and 0 specfiles checked; 0 errors, 3 warnings.



Source checksums
----------------
https://github.com/dpranke/pyjson5/archive/v0.8.5/json5-0.8.5.tar.gz :
  CHECKSUM(SHA256) this package     : b6fccabcdc609899b0eb69a1c8d790b722c054b4aae0fc4b95cc63fd9a72ceb6
  CHECKSUM(SHA256) upstream package : b6fccabcdc609899b0eb69a1c8d790b722c054b4aae0fc4b95cc63fd9a72ceb6


Requires
--------
python3-json5 (rpmlib, GLIBC filtered):
    python(abi)
    python3.8dist(setuptools)

pyjson5 (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python3-json5



Provides
--------
python3-json5:
    python-json5
    python3-json5
    python3.8dist(json5)
    python3dist(json5)

pyjson5:
    pyjson5
    python-json5



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1750541 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic, Python
Disabled plugins: SugarActivity, R, fonts, Java, Perl, C/C++, PHP, Ocaml, Haskell
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Fabian Affolter 2019-09-10 07:17:22 UTC
Thanks for your time to review this.

* Tue Sep 20 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.5-2
- Update summary
- Add version (rhbz#1750541)

Update files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-json5.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-json5-0.8.5-2.fc30.src.rpm

Comment 3 Elliott Sales de Andrade 2019-09-10 09:06:07 UTC
One minor thing:

  python-json5.src: E: specfile-error warning: bogus date in %changelog: Tue Sep 20 2019 Fabian Affolter <mail@fabian-affolter.ch> - 0.8.5-2

Can be fixed on import.

Comment 4 Fabian Affolter 2019-09-10 12:11:32 UTC
Thanks

Comment 5 Gwyn Ciesla 2019-09-10 13:38:09 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-json5

Comment 6 Fedora Update System 2019-09-10 20:03:25 UTC
FEDORA-2019-a478401c02 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a478401c02

Comment 7 Fedora Update System 2019-09-11 15:37:16 UTC
python-json5-0.8.5-2.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a478401c02

Comment 8 Fedora Update System 2019-09-15 00:26:47 UTC
python-json5-0.8.5-2.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-10-08 10:16:47 UTC
FEDORA-2019-d3a619bd1e has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3a619bd1e

Comment 10 Fedora Update System 2019-10-09 17:39:45 UTC
python-json5-0.8.5-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3a619bd1e

Comment 11 Fedora Update System 2019-10-17 23:23:30 UTC
python-json5-0.8.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-10-18 16:53:13 UTC
python-json5-0.8.5-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-01-07 08:17:37 UTC
FEDORA-EPEL-2020-61cdf4877a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-61cdf4877a

Comment 14 Fedora Update System 2020-01-08 11:20:49 UTC
python-json5-0.8.5-2.el8 has been pushed to the Fedora EPEL 8 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-61cdf4877a

Comment 15 Fedora Update System 2020-01-24 17:42:56 UTC
python-json5-0.8.5-2.el8 has been pushed to the Fedora EPEL 8 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.